# Login package (Flutter)

## Getting started

### Declare routes

On your build method on `main.dart` you need to add the following lines:

```dart
class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Flutter Demo',
        theme: ThemeData(
          primarySwatch: Colors.blue,
        ),
        initialRoute: AppRoutes.identification,
        onGenerateRoute: (settings) =>
            AppRoutes.onGenerateRoute(settings, routes: {
              '/': MyHomePage(),
              '/xpto': MyHomePage(),
            }));
  }
}
```

#### Reserved routes

Your application shouldn't declare the following routes, this are reserved paths:

- `/login`
- `/login/seniorx`
- `/login/saml`
- `/login/forgot-password`
- `/login/update-password`
- `/login/qrcode`
